<?php

include 'core/system.php';


reg();

	
	
	
	if(isset($_GET['mail'])){

	head('Изменение mail');



	
	echo '
	

	
	';
	
		if(empty($_POST['mail'])){

		

if($user['mail']== 'test@nixwarr.tyo'){



?><center>E-mail не установлен</center><? }else{ ?><center>Текущий E-mail : <span class="info"><?=$user['mail']?></span><center><? }






echo'

	<form action="lk.php?mail" method="post">

	
<input class="text" type="text" name="mail" style="width: 70%;">



<br><br>
 


		<center><input class="btn" type="submit" value="Изменить"></center>


		
		</span>

</span>

</form>




';

	}else{
	$mail = protect($_POST['mail']);

		
		
		
		

		
    if (empty($mail)or!filter_var($mail, FILTER_VALIDATE_EMAIL))
    {

		
echo '

E-mail введен не верно!


</div></div>

';

		foot();
		exit;
		}
		


$dbc->query("UPDATE `users` SET `mail`='".$mail."' WHERE `id`='".$user['id']."'");



	header('Location: my.php');
	}
	foot();
	exit;
	}
	
	




	
	if(isset($_GET['password'])){
	head('Изменение пароля');

echo '



';

if(empty($_POST['password']) or empty($_POST['password_new'])){

		echo '
		
		<form action="lk.php?password" method="post">
		
		Старый пароль:
		
		<br>

<input id="login" type="text" class="input-area" value="" name="password">


		Новый пароль:
		
		<br>

<input id="login" type="text" class="input-area" value="" name="password_new">

	
	<br>
	


<div class="form-submit"><input type="submit" class="btn" value="Сменить Пароль"/></div>

		


</form>

</div>
		
		';

		}else{
		$pass = protect($_POST['password']);
		$pass_new = protect($_POST['password_new']);
			if(md5_sault($pass) == $user['pass']){
echo '<div id="ok">Пароль успешно изменен на <b>'.$pass_new.'</b> зайдите под своим новым паролем.</div>';

$dbc->query("UPDATE `users` SET `pass`='".md5_sault($pass_new)."' WHERE `id`='".$user['id']."'");

			}else{
echo '<div id="error">Не правильный старый пароль!</div>';
			}
		}
	echo '</div></div>';
	foot();
	exit;
	}
	
	
	
	
	
######################################	
// Модуль - смена никнейма
	if(isset($_GET['nick'])){
	// Название страницы - функция (sys.php)
	head('Изменение никнейма');
	// Стоимость смены никнейма в рубинах
	$nick_rubin = 100;

// Диалог	
	echo '
	<div class="main">
<div class="block_zero center">	
		';
			if(empty($_POST['nick'])){
		echo '
Смена никнейма - 
<img src="img/money/money.png"> 

'.$nick_rubin.'
<div class="separ"></div>
	<form action="lk.php?nick" method="post">
<input id="login" type="text" class="input-area" value="'.$user['login'].'" name="nick">



<br><br>
<div class="form-submit">
<div class="form-submit"><input type="submit" class="btn" value="Сменить Ник"/>



</div>


</form>
</div>
</div>
';
	}
	else{
	// Если не хватает рубинов
		if($user['gold']<$nick_rubin){

				echo '
				Недостаточно золота!

				</div>
				</div>
				';
		foot();
		exit;
				}
$nick = protect($_POST['nick']);
	if(iconv_strlen($nick) < 3 or iconv_strlen($nick) > 20){



		// Длина никнейма
		echo '
Логин от 3 до 20 Символов

</div></div>
';
		foot();
		exit;
		}
// Проверка логина- зарегистрирован или нет
//$nick = protect($_POST['nick']);

$hd = $dbc->query("SELECT * FROM `users` WHERE `login` = '".$nick."' LIMIT 1"); $cad = $hd->num_rows; if($cad != 0)	{

		echo '
<font color="red">
Логин уже зарегистрирован!
</font>
				</div>
				</div>			
					';	
					foot();	
				exit;
				}	
				// Проверка на английские символы
if (!preg_match('~^[a-яА-Яa-zA-Z0-9\s]+$~iu', $nick)){

		echo '
		<div class="block_zero center">
<font color="red">
Запрещенные символы в логине
</font>
<br/>
<div class="separ"></div>
		<a href="lk.php?nick">
				Назад
				</a>
				</div>
				</div>						
		';
					foot();	
				exit;
				}			
				// Заносим данные в таблицу	
$dbc->query("UPDATE `users` SET `login`='".$nick."',`gold`=`gold`-".$nick_rubin." WHERE `id`='".$user['id']."'");

				echo '
Никнейм успешно изменен на <b>'.$nick.'</b> зайдите под своим новым никнеймом.
				</div>
				</div>
				';	
	}
	foot();
	exit;
	}

 if(isset($_GET['status'])){



    head('Установить Статус');

    // Стоимость смены никнейма в рубинах
    $nick_rubin = 10;

 $set = $dbc->query("SELECT * FROM `status` WHERE `user` = '".$user['id']."' LIMIT 1")->fetch_assoc();




if($set['user']==0){ $dbc->query("INSERT INTO `status` SET `user` = '$user[id]'");}

    
  
            if(empty($_POST['status'])){
        echo '
Установить Статус
<img src="img/money/money.png"> 

'.$nick_rubin.'
<div class="separ"></div>
    <form action="lk.php?status" method="post">
<input id="login" type="text" class="input-area" value="" name="status">



<br><br>
<div class="form-submit">
<div class="form-submit"><input type="submit" class="btn" value="Установить Статус"/>



</div>


</form>
</div>
</div>
';
    }
    else{
    // Если не хватает рубинов
        if($user['gold']<$nick_rubin){

                echo '
                Недостаточно золота!

                </div>
                </div>
                ';
        foot();
        exit;
                }
$status = protect($_POST['status']);
    
        
        
              

$dbc->query("UPDATE `status` SET `status`='".$status."' WHERE `user`='".$user['id']."'");

$dbc->query("UPDATE `users` SET `gold`=`gold`-".$nick_rubin." WHERE `id`='".$user['id']."'");


                echo '
Статус Успешно установлен</b>
                </div>
                </div>
                ';    
    }
    foot();
    exit;
}
head('Настройки');	
echo '
<a class="btn" ><center><b><font color="#05d80b">Базовые настройки</font></b></center></a>
<a class="btn" href="lk.php?mail">Изменение E-mail</a>




<a class="btn" href="lk.php?password">Изменение пароля</a>



<a class="btn" href="lk.php?nick">Изменение никнейма</a>

<a class="btn" href="lk.php?status">Установить Статус</a>

<a class="btn" ><center><b><font color="#05d80b">Смена дизайна</font></b></center></a>

<a class="btn" href="index.php?index2">Новый мир</a>
<a class="btn" href="index.php?index1">Старый мир</a>

<a class="btn" ><center><b><font color="#05d80b">Log out</font></b></center></a>
<a class="btn" href="sign.php?exit">Выход</a>



';
foot();
?>